Bug 590221 - Can't Open or create files or projects
Can't Open or create files or projects
Product: Fedora
Classification: Fedora
Component: netbeans (Show other bugs)
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Victor G. Vasilyev
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2010-05-08 03:23 EDT by Muel Kiel
Modified: 2011-06-27 12:10 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2011-06-27 12:10:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Muel Kiel 2010-05-08 03:23:42 EDT
Description of problem:

Version-Release number of selected component (if applicable):
netbeans 6.8.6.fc13

How reproducible:

Steps to Reproduce:
1. Open Netbeans
2. Try to open a file 
3. Try to create a new project
4. Try to create a new file
Actual results:

Trying to open a document results in '{filename} can not be opened' even though the file opens. Any changes made to the file will not be saved

Trying to create a new project results in the folders being made but the dialog comes up with the result that the project already exists and is not empty.

Trying to create a new file causes 'null' to be added to the end of the file name and says please enter a valid name. Letters are placed in order reverse of how they were typed

Expected results:

Trying to open a document opens a document

Trying to create a new project creates a new project

Trying to create a new file creates a new file

Additional info:

Deleting the ~/.netbeans folder fixed the problem. Running from the console does not show any errors output to the console.
Comment 1 Victor G. Vasilyev 2010-05-17 07:15:11 EDT
If the configuration directory (~/.netbeans) not exists then this directory and its content will be created by the IDE, including all default personal configuration data, indexes, caches data and so on.
Deletion of the directory does reverting the IDE to its initial state, i.e. the same as after its installation. If the IDE works properly after deletion of the configuration directory then it is proof that the initialization algorithms are potentially correct, but may be unstable in some cases and may be specific for an architecture only, e.g. 64-bit.

I can suppose that some negative event took place at the first launching of the IDE, and incorrect data have been pushed in the ~/.netbeans, but I have no any ideas what is it.

Seems we need have a bit more statistics to understand what is wrong.
Comment 2 Bug Zapper 2011-06-02 10:21:11 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 3 Bug Zapper 2011-06-27 12:10:49 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.